JUCE: LowLevelGraphicsPostScriptRenderer Class Reference

JUCE

Classes | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
LowLevelGraphicsPostScriptRenderer Class Reference

An implementation of LowLevelGraphicsContext that turns the drawing operations into a PostScript document. More...

Inheritance diagram for LowLevelGraphicsPostScriptRenderer:

## Classes
struct | SavedState
| Describes a saved state. More...

## Public Member Functions
| LowLevelGraphicsPostScriptRenderer (OutputStream &resultingPostScript, const String &documentTitle, int totalWidth, int totalHeight)
| ~LowLevelGraphicsPostScriptRenderer () override
bool | isVectorDevice () const override
| Returns true if this device is vector-based, e.g. More...
void | setOrigin (Point< int >) override
| Moves the origin to a new position. More...
void | addTransform (const AffineTransform &) override
float | getPhysicalPixelScaleFactor () override
bool | clipToRectangle (const Rectangle< int > &) override
bool | clipToRectangleList (const RectangleList< int > &) override
void | excludeClipRectangle (const Rectangle< int > &) override
void | clipToPath (const Path &, const AffineTransform &) override
void | clipToImageAlpha (const Image &, const AffineTransform &) override
void | saveState () override
void | restoreState () override
void | beginTransparencyLayer (float) override
void | endTransparencyLayer () override
bool | clipRegionIntersects (const Rectangle< int > &) override
Rectangle< int > | getClipBounds () const override
bool | isClipEmpty () const override
void | setFill (const FillType &) override
void | setOpacity (float) override
void | setInterpolationQuality (Graphics::ResamplingQuality) override
void | fillRect (const Rectangle< int > &, bool replaceExistingContents) override
void | fillRect (const Rectangle< float > &) override
void | fillRectList (const RectangleList< float > &) override
void | fillPath (const Path &, const AffineTransform &) override
void | drawImage (const Image &, const AffineTransform &) override
void | drawLine (const Line< float > &) override
const Font & | getFont () override
void | setFont (const Font &) override
void | drawGlyph (int glyphNumber, const AffineTransform &) override
Public Member Functions inherited from LowLevelGraphicsContext
virtual | ~LowLevelGraphicsContext ()
virtual bool | drawTextLayout (const AttributedString &, const Rectangle< float > &)

## Protected Member Functions
void | writeClip ()
void | writeColour (Colour colour)
void | writePath (const Path &) const
void | writeXY (float x, float y) const
void | writeTransform (const AffineTransform &) const
void | writeImage (const Image &, int sx, int sy, int maxW, int maxH) const
Protected Member Functions inherited from LowLevelGraphicsContext
| LowLevelGraphicsContext ()

## Protected Attributes
OutputStream & | out
int | totalWidth
int | totalHeight
bool | needToClip
Colour | lastColour
OwnedArray< SavedState > | stateStack

## Detailed Description

An implementation of LowLevelGraphicsContext that turns the drawing operations into a PostScript document.

## Constructor & Destructor Documentation

## ◆ LowLevelGraphicsPostScriptRenderer()

LowLevelGraphicsPostScriptRenderer::LowLevelGraphicsPostScriptRenderer | ( | OutputStream & | resultingPostScript,
|  | const String & | documentTitle,
|  | int | totalWidth,
|  | int | totalHeight
| ) |  |

## ◆ ~LowLevelGraphicsPostScriptRenderer()

LowLevelGraphicsPostScriptRenderer::~LowLevelGraphicsPostScriptRenderer | ( |  | ) |
| override

## Member Function Documentation

## ◆ isVectorDevice()

bool LowLevelGraphicsPostScriptRenderer::isVectorDevice | ( |  | ) | const
| overridevirtual

Returns true if this device is vector-based, e.g.

a printer.

Implements LowLevelGraphicsContext.

## ◆ setOrigin()

void LowLevelGraphicsPostScriptRenderer::setOrigin | ( | Point< int > |  | ) |
| overridevirtual

Moves the origin to a new position.

The coordinates are relative to the current origin, and indicate the new position of (0, 0).

Implements LowLevelGraphicsContext.

## ◆ addTransform()

void LowLevelGraphicsPostScriptRenderer::addTransform | ( | const AffineTransform & |  | ) |
| overridevirtual

Implements LowLevelGraphicsContext.

## ◆ getPhysicalPixelScaleFactor()

float LowLevelGraphicsPostScriptRenderer::getPhysicalPixelScaleFactor | ( |  | ) |
| overridevirtual

Implements LowLevelGraphicsContext.

## ◆ clipToRectangle()

bool LowLevelGraphicsPostScriptRenderer::clipToRectangle | ( | const Rectangle< int > & |  | ) |
| overridevirtual

Implements LowLevelGraphicsContext.

## ◆ clipToRectangleList()

bool LowLevelGraphicsPostScriptRenderer::clipToRectangleList | ( | const RectangleList< int > & |  | ) |
| overridevirtual

Implements LowLevelGraphicsContext.

## ◆ excludeClipRectangle()

void LowLevelGraphicsPostScriptRenderer::excludeClipRectangle | ( | const Rectangle< int > & |  | ) |
| overridevirtual

Implements LowLevelGraphicsContext.

## ◆ clipToPath()

void LowLevelGraphicsPostScriptRenderer::clipToPath | ( | const Path & | ,
|  | const AffineTransform & |
| ) |  |
| overridevirtual

Implements LowLevelGraphicsContext.

## ◆ clipToImageAlpha()

void LowLevelGraphicsPostScriptRenderer::clipToImageAlpha | ( | const Image & | ,
|  | const AffineTransform & |
| ) |  |
| overridevirtual

Implements LowLevelGraphicsContext.

## ◆ saveState()

void LowLevelGraphicsPostScriptRenderer::saveState | ( |  | ) |
| overridevirtual

Implements LowLevelGraphicsContext.

## ◆ restoreState()

void LowLevelGraphicsPostScriptRenderer::restoreState | ( |  | ) |
| overridevirtual

Implements LowLevelGraphicsContext.

## ◆ beginTransparencyLayer()

void LowLevelGraphicsPostScriptRenderer::beginTransparencyLayer | ( | float |  | ) |
| overridevirtual

Implements LowLevelGraphicsContext.

## ◆ endTransparencyLayer()

void LowLevelGraphicsPostScriptRenderer::endTransparencyLayer | ( |  | ) |
| overridevirtual

Implements LowLevelGraphicsContext.

## ◆ clipRegionIntersects()

bool LowLevelGraphicsPostScriptRenderer::clipRegionIntersects | ( | const Rectangle< int > & |  | ) |
| overridevirtual

Implements LowLevelGraphicsContext.

## ◆ getClipBounds()

Rectangle<int> LowLevelGraphicsPostScriptRenderer::getClipBounds | ( |  | ) | const
| overridevirtual

Implements LowLevelGraphicsContext.

## ◆ isClipEmpty()

bool LowLevelGraphicsPostScriptRenderer::isClipEmpty | ( |  | ) | const
| overridevirtual

Implements LowLevelGraphicsContext.

## ◆ setFill()

void LowLevelGraphicsPostScriptRenderer::setFill | ( | const FillType & |  | ) |
| overridevirtual

Implements LowLevelGraphicsContext.

## ◆ setOpacity()

void LowLevelGraphicsPostScriptRenderer::setOpacity | ( | float |  | ) |
| overridevirtual

Implements LowLevelGraphicsContext.

## ◆ setInterpolationQuality()

void LowLevelGraphicsPostScriptRenderer::setInterpolationQuality | ( | Graphics::ResamplingQuality |  | ) |
| overridevirtual

Implements LowLevelGraphicsContext.

## ◆ fillRect() [1/2]

void LowLevelGraphicsPostScriptRenderer::fillRect | ( | const Rectangle< int > & | ,
|  | bool | replaceExistingContents
| ) |  |
| overridevirtual

Implements LowLevelGraphicsContext.

## ◆ fillRect() [2/2]

void LowLevelGraphicsPostScriptRenderer::fillRect | ( | const Rectangle< float > & |  | ) |
| overridevirtual

Implements LowLevelGraphicsContext.

## ◆ fillRectList()

void LowLevelGraphicsPostScriptRenderer::fillRectList | ( | const RectangleList< float > & |  | ) |
| overridevirtual

Implements LowLevelGraphicsContext.

## ◆ fillPath()

void LowLevelGraphicsPostScriptRenderer::fillPath | ( | const Path & | ,
|  | const AffineTransform & |
| ) |  |
| overridevirtual

Implements LowLevelGraphicsContext.

## ◆ drawImage()

void LowLevelGraphicsPostScriptRenderer::drawImage | ( | const Image & | ,
|  | const AffineTransform & |
| ) |  |
| overridevirtual

Implements LowLevelGraphicsContext.

## ◆ drawLine()

void LowLevelGraphicsPostScriptRenderer::drawLine | ( | const Line< float > & |  | ) |
| overridevirtual

Implements LowLevelGraphicsContext.

## ◆ getFont()

const Font& LowLevelGraphicsPostScriptRenderer::getFont | ( |  | ) |
| overridevirtual

Implements LowLevelGraphicsContext.

## ◆ setFont()

void LowLevelGraphicsPostScriptRenderer::setFont | ( | const Font & |  | ) |
| overridevirtual

Implements LowLevelGraphicsContext.

## ◆ drawGlyph()

void LowLevelGraphicsPostScriptRenderer::drawGlyph | ( | int | glyphNumber,
|  | const AffineTransform & |
| ) |  |
| overridevirtual

Implements LowLevelGraphicsContext.

## ◆ writeClip()

void LowLevelGraphicsPostScriptRenderer::writeClip | ( |  | ) |
| protected

## ◆ writeColour()

void LowLevelGraphicsPostScriptRenderer::writeColour | ( | Colour | colour | ) |
| protected

## ◆ writePath()

void LowLevelGraphicsPostScriptRenderer::writePath | ( | const Path & |  | ) | const
| protected

## ◆ writeXY()

void LowLevelGraphicsPostScriptRenderer::writeXY | ( | float | x,
|  | float | y
| ) |  | const
| protected

## ◆ writeTransform()

void LowLevelGraphicsPostScriptRenderer::writeTransform | ( | const AffineTransform & |  | ) | const
| protected

## ◆ writeImage()

void LowLevelGraphicsPostScriptRenderer::writeImage | ( | const Image & | ,
|  | int | sx,
|  | int | sy,
|  | int | maxW,
|  | int | maxH
| ) |  | const
| protected

## Member Data Documentation

## ◆ out

OutputStream& LowLevelGraphicsPostScriptRenderer::out
| protected

## ◆ totalWidth

int LowLevelGraphicsPostScriptRenderer::totalWidth
| protected

## ◆ totalHeight

int LowLevelGraphicsPostScriptRenderer::totalHeight
| protected

## ◆ needToClip

bool LowLevelGraphicsPostScriptRenderer::needToClip
| protected

## ◆ lastColour

Colour LowLevelGraphicsPostScriptRenderer::lastColour
| protected

## ◆ stateStack

OwnedArray<SavedState> LowLevelGraphicsPostScriptRenderer::stateStack
| protected

The documentation for this class was generated from the following file:

- juce_LowLevelGraphicsPostScriptRenderer.h